Forum Clubic

[résolu] Ubuntu 6.10 et beryl

Bonjour,

J’ai un très gros souci, beryl ne fonctionne pas :grrr:
Je suis sous ubuntu 6.10 avec une carte graphique nvidia geforce 6200 LE TC 128 mb.

Avant de continuer cette carte est-elle compatible ?

il semblerait que la 6200 soit compatible
http://getkororaa.com/releases/xgl/xgl-cards

  • nVidia GeForce 6200 (with latest nvidia-glx-1.0.8178 and nvidia-kernel-1.0.8178-r3)

Effectivement, je sauvegarde ma partition et je reteste l’installation…

Marche pas, l’installation bug…
Tant pis sa m’énerve de toute facon…

utilise le driver 9xxx de nvidia et ça sera beaucoup plus simple ! (pas besoin de XGL qui est merdique à souhait à installer et configurer et utiliser)

ensuite, pour le répository, utilise celui de quinstrom (pas sur de l’orthographe, désolé) c’est le plus à jour et il marche nickel !

“Marche pas, l’installation bug…” super, on va pouvoir beaucoup t’aider avec une telle pluie d’informations

Désolé, j’étais de mauvaise humeur hier soir.
Je m’y remet, je vais essayer comme dit moi1392

Ou trouve t-on le driver 9xxx de nvidia, car celui du dépôt officiel ne fonctionne pas ?

je crois que ça pourra t’aider
http://forum.beryl-project.org/topic-389-howto-compiz-gnome
Faut pas désesperer! Informatique et enervement font très mauvais ménage! :ane:
http://www.nvidia.fr/object/linux_fr.html
oublie pas par ailleurs que google est ton ami :stuck_out_tongue:

utilise bien le dernier (9626) et pas le précédent (9626) car bien que le changelog de nvidia n’indique que le support d’une carte en plus, il ne faut pas le croire, chez moi je n’ai jamais réussi à faire marcher le 9625 alors que le 9626 marche du premier coup (même problème sur 2 PC différents avec 2 cartes différentes !)

les liens :

le driver : http://www.nvidia.com/object/linux_display…2_1.0-9626.html

le patch indispensable : http://www.piotrkow.net.pl/~scrat/fedora/NV-SMBUS.diff

pour appliquer le patch, décompresse le driver :

sh NVIDIA_blabla.sh -x

va dans le dossier du driver et copie y le patch :

cp NV-SMBUS.diff NVIDIA_blabla
cd NVIDIA_blabla

applique le patch :

patch -p1 < NV-SMBUS.diff

(s’il t’indique une erreur, essais plutot -p0 au lieu de -p1, cette option indique le nombre de sous répertoires à parcourir avant de trouver le fichier, c’est juste que tu n’est pas dans le bon ;), au pire, jette un oeil au patch, y’a trois lignes à changer dans un fichier et c’est largement faisable à la main !)

lance l’installeur depuis là :

./nvidia-installer

sinon il me semble que le driver est inclus (précompilé et tout) dans le dépot de quinnstorm pour beryl, donc vérifie avant de te lancer dans son installation manuelle :wink:

Je viens de vérifier sur la doc pour beryl

Driver nVidia 9626

deb http://albertomilone.com/drivers/unstable/edgy/32bit binary/

Il propose ce pilote, mais il ne fonctionne pas du tout avec ma carte nvidia 6200 LE Turbo cache. J’ai le droit a un beau plantage totale de linux tout entier, plus d’interface graphique, plus de console.

mais c’est quoi ce LE? c’est un portable?

Non, c’est une carte PCI-Express :
Ma carte graphique c’est celle là : http://www.topachat.com/pages/detail2_cat_…est_inh659.html
Pour le LE, je sais pas ce que c’est :neutre:

lsmod|grep eeprom :o

il est pas bon ton lien…

Effectivement, voilà qui est mieux : http://www.topachat.com/pages/detail2_cat_…est_inh659.html

fabrice@luigifab:~$ lsmod|grep eeprom
eeprom                  8208  0 
i2c_core               23424  6 i2c_ec,it87,eeprom,i2c_isa,nvidia,i2c_nforce2

euh nen c’est le meme :ane:

Ah je comprend alors, il faut avoir une session en cours…
http://evga.com/products/moreinfo.asp?pn=1…27-SX&family=17

Bon alors boot en mode recovery pour ne pas charger le serveur X.
Là tu retire le module eeprom du fichier /etc/modules et tu le retire aussi manuellement avec modprobe -r eeprom.
Ensuite tu apuie sur ctrl+D pour continuer le boot normal et normalement tu ne devrais plus avoir de pb

Merci rouch, le problème venait de là. Sa fonctionne, c’est beau, je kifff’.

source: http://www.nvnews.net/vbulletin/showthread…6233#post996233